/**
 * Rental Product Cart Styles
 * 
 * @package VR_Expert_WooCommerce
 * @since 1.0.0
 */

/* Rental Cart Styles */

@import url("https://vr-expert.com/wp-content/themes/vr-expert-multilingual-webshop/inc/woocommerce/rental-product/css/components/datepicker.css");
@import url("https://vr-expert.com/wp-content/themes/vr-expert-multilingual-webshop/inc/woocommerce/rental-product/css/components/date-select-form.css");

.woocommerce-cart-form {
    margin-bottom: 40px;
}

.woocommerce-cart-form__contents .actions .button[name="update_cart"] {
    display: none !important;
}

.shop_table {
    tbody {
        tr {
            td, th {
               min-width: 100px;
            }
            
            .product-name {
                width: 500px;
                
                a {
                    margin: 0!important;
                }
            }
            
            .product-remove {
                width: 100px;
            }
        }
    }
}

.cart_rental {
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin-top: 32px;
    
    .cart_rental-header {
        display: flex;
        justify-content: space-between;
        flex-direction: column;
        align-items: flex-start;
        padding: 20px;
        background: #F2F2F2;
        border-radius: 18px;
        border: solid 2px #E5E5E5;
        gap: 16px;
        
        .cart_rental-header-title {
            display: flex;
            justify-content: space-between;
            flex-direction: column;
            align-items: flex-start;
            gap: 16px;
            
            .cart_rental-header-title-top {
                
                h2 {
                    margin: 0;
                }
            }
            
            .cart_rental-header-title-bottom {
                display: flex;
                gap: 16px;
                
                p {
                    font-style: normal;
                    font-weight: 600;
                    font-size: 16px;
                    line-height: 1;
                    align-items: center;
                    letter-spacing: -0.02em;
                    color: #51525C;
                    margin: 0;
                }
            }
        }
        
        .cart_rental-header-edit {
            font-style: normal;
            font-weight: 500;
            font-size: 14px;
            line-height: 1;
            text-decoration-line: underline;
            color: #344054;
            cursor: pointer;
        }
    }
    
    .cart_rental-date-wrapper {
        display: none;
        
        .cart_rental-date {
            display: flex;
            flex-direction: column;
            gap: 0;
            
            h3 {
                font-size: 14px;
                font-weight: 600;
            }
        }
    }
    
    .cart_rental-body {
        
        .shop_table {
            tbody {
                tr {
                    
                    .product-name {
                        a {
                            margin: 0;
                        }
                        
                        .product-name-rental-info {
                            display: flow;
                            font-style: normal;
                            font-weight: 600;
                            font-size: 16px;
                            line-height: 120%;
                            align-items: center;
                            letter-spacing: -0.02em;
                            color: #51525C;
                        }
                    }
                }
            }
        }
    }
}